! Jan-2011 P. Marguinaud Thread-safe LFI
SUBROUTINE LFIUTO_FORT    (LFI, KNUMER)
USE LFIMOD, ONLY : LFICOM
USE PARKIND1, ONLY : JPRB
USE YOMHOOK , ONLY : LHOOK, DR_HOOK
USE LFI_PRECISION
USE SDL_MOD, ONLY : SDL_SRLABORT
IMPLICIT NONE
!****
!        Sous-programme de recherche d'une unite libre.
!
!**
!     ARGUMENTS : 
!                 KNUMER (Sortie) ==> Unite logique libre
!
!
TYPE(LFICOM) :: LFI
INTEGER (KIND=JPLIKB) KNUMER
LOGICAL               LLOPEN

REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('LFIUTO_FORT',0,ZHOOK_HANDLE)

IF (ALL (LFI%NUMERO.NE.LFI%JPNIL)) THEN
  CALL SDL_SRLABORT
ENDIF

KNUMER=-1000

DO

  CALL LFIPRO_MT64 (LFI, KNUMER, LLOPEN)

  IF (.NOT. LLOPEN) EXIT

  KNUMER=KNUMER-1

ENDDO

IF (LHOOK) CALL DR_HOOK('LFIUTO_FORT',1,ZHOOK_HANDLE)

END SUBROUTINE
